#
# Conditional build:
%bcond_with	tests		# perform "make test" (requires configured test server)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	Test
Summary:	Apache::Test - Test.pm wrapper with helpers for testing Apache
Summary(pl.UTF-8):	Apache::Test - wrapper na Test.pm z funkcjami do testowania Apache
Name:		perl-Apache-Test
Version:	1.37
Release:	1
Epoch:		1
License:	Apache Software License 2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	179f247fc5c7d11387b9c73ae3fa6f71
URL:		http://search.cpan.org/dist/Apache-Test/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	apache-mod_env
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# mod_perl 2.x deps, but this module is supposed to work with mod_perl 1.x too
%define		_noautoreq	'perl(Apache2::Const)' 'perl(ModPerl::Config)'

%description
Apache::Test is a wrapper around the standard Test.pm with helpers for
testing an Apache server.

%description -l pl.UTF-8
Apache::Test to moduł opakowujący standardowy Test.pm z funkcjami
pomocniczymi do testowania serwera Apache.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}%{?_rc}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
rm -f .mypacklist # contains list of files - install will try to remove them
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Bundle/ApacheTest.pm
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Apache/TestConfigData.pm
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Apache/Test/.packlist

#mans make conflict with identical mans from perl-mod_perl
rm -rf $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README SUPPORT ToDo
%{perl_vendorlib}/Apache/Test*.pm
%changelog
* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> a6a4aec
- up to 1.37

* Mon Jul 11 2011 marti <marti@pld-linux.org> 283d99b
- up to 1.36

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 3462a7d
- removed duplicated man pages due to conflict with perl-mod_perl package
- release 2

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> 8900058
- up to 1.30

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5ad8e59
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d50c38c
- converted to UTF-8

* Thu Dec 07 2006 Elan Ruusamäe <glen@pld-linux.org> 0f9dc33
- 1.29
- change url to CPAN generic, as that has at least some content

* Fri Sep 08 2006 radek <radek@pld-linux.org> beba203
- version 1.29 rc1

* Sun Jul 30 2006 hawk <hawk@pld-linux.org> ce0ba53
- epoch 1 (packages on ftp already have it somehow, current build had 0)
- release 2

* Tue Jul 25 2006 Jakub Bogusz <qboosh@pld-linux.org> 2a8b8bc
- updated md5

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> f9d933f
- 1.28

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 7d42740
- conditional mod_perl deps, rel 3

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> 8dee9ee
- release 2

* Wed Jan 18 2006 Jan Rękorajski <baggins@pld-linux.org> 8bd351e
- building mod_perl...

* Thu Dec 29 2005 Elan Ruusamäe <glen@pld-linux.org> 5132faf
- TestConfigData.pm looks like dummy (and wasn't installed by mod_perl)

* Thu Dec 29 2005 Elan Ruusamäe <glen@pld-linux.org> 8749358
- 1.27

* Tue Sep 06 2005 Elan Ruusamäe <glen@pld-linux.org> f14f946
- updated to 1.26, STBR

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 1ecbf31
- updated to 1.19

* Fri Jan 07 2005 Adam Gołębiowski <adamg@pld-linux.org> f64d3aa
- release 2 (for fixed deps on ac-i386)

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 79c1bcc
- updated to 1.18

